# dir

abstract fun dir(options: Map<String, Any>, dir: Any)

Registers an extra output dir and the builtBy information. Useful for generated resources.

See example at SourceSetOutput

#### Parameters

options

- use 'builtBy' key to configure the 'builtBy' task of the dir

dir

- will be resolved as file

abstract fun dir(dir: Any)

Registers an extra output dir. Useful for generated resources.

See example at SourceSetOutput

#### Parameters

dir

- will be resolved as file